def nmos_digital(Vgs, Vds, L, W, scale, Cox_dash):

    Rn = 34e3 / W;
    Cox = Cox_dash * (scale**2 / (1e-6)**2) * W * L

    CIN = (3/2) * Cox;
    COUT = Cox;
    
    MAX_CURRENT = 500e-6

    if(Vgs > 0.5):
        ids = Vds / Rn
    else:
        ids = 0

    #if (ids > MAX_CURRENT):
    #    ids = MAX_CURRENT
    #elif (ids < -MAX_CURRENT):
    #    ids = -MAX_CURRENT

    return {'IDS':ids, 'CIN':CIN, 'COUT':COUT}

def pmos_digital(Vsg, Vsd, L, W, scale, Cox_dash):
    
    Rp = 68e3 / W
    Cox = Cox_dash * (scale**2 / (1e-6)**2) * W * L
    
    CIN = (3/2) * Cox
    COUT = Cox

    MAX_CURRENT = 500e-6

    if(Vsg < -0.5):
        isd = (Vsd / Rp)
    else:
        isd = 0

    #if (isd > MAX_CURRENT):
    #    isd = MAX_CURRENT
    #elif (isd < -MAX_CURRENT):
    #    isd = -MAX_CURRENT

    return {'ISD':isd, 'CIN':CIN, 'COUT':COUT}

def tg(Vtg, Vclock, Vclock_bar, Ln, Wn, Lp, Wp, scale, Cox_dash):

    Rn = 34e3 / Wn
    Rp = 68e3 / Wp

    Rt = (Rn + Rp) / (Rn*Rp)

    Coxn = Cox_dash * (scale**2 / (1e-6)**2) * Wn * Ln
    Coxp = Cox_dash * (scale**2 / (1e-6)**2) * Wp * Lp

    COUT = Coxn + Coxp

    if(Vclock > 0.5 and Vclock_bar < 0.5):
        itg = Vtg / Rt
    else:
        itg = 0

    return {'COUT':COUT, 'ITG':itg}
