import numpy as np
from scipy import signal

def pulse(T,t_on,t_r,t_f,t):

    pulse_t = t % T

    if(pulse_t < t_on):
        if(pulse_t < t_r):
            F = (1/t_r)*pulse_t
        elif(pulse_t >= t_on - t_f):
            F = 1 - (1/t_f)*(pulse_t - (t_on - t_r))
            G = (1/t_f)*(t_on - pulse_t)
        else:
            F = 1
    else:
        F = 0

    return float(F)

def pulse_edge(T, t_on, t_offset, t_end):

    num_edges = (2 * int(t_end / T)) + 1

    edges = np.zeros(num_edges)

    t_correction = T / 100

    t = 0
    for i in range(len(edges)):

        if (i % 2):
            edges[i] = t + T
            t = t + T
        else:
            edges[i] = t + t_on

    for i in range(len(edges)):
        edges[i] = edges[i] - t_offset

    return edges
